import unittest
from . import utils


class TestValueNull(unittest.TestCase):
    def test_null(self):
        result = utils.list_tokens("null")
        self.assertEqual(len(result), 1)
        self.assertEqual(result[0].type, "VALUE_NULL")
        self.assertIsNone(result[0].value)


class TestValueBool(unittest.TestCase):
    def test_true(self):
        result = utils.list_tokens("true")
        self.assertEqual(len(result), 1)
        self.assertEqual(result[0].type, "VALUE_BOOL")
        self.assertEqual(result[0].value, True)

    def test_false(self):
        result = utils.list_tokens("false")
        self.assertEqual(len(result), 1)
        self.assertEqual(result[0].type, "VALUE_BOOL")
        self.assertEqual(result[0].value, False)
