import os
import unittest
from looplang.lexer import gen_lexer, LexError


def list_tokens(code:str):
    lexer = gen_lexer()
    lexer.input(code)
    return list(lexer)


RUN_BIG_TESTS = os.environ.get("RUN_BIG_TESTS", None) is not None
def big_test(func):
    if RUN_BIG_TESTS:
        return func
    else:
        return unittest.skip(func)
